Package org.apache.cxf.feature.transform

# Class XSLTOutInterceptor.XSLTCachedOutputStreamCallback

java.lang.Object
org.apache.cxf.feature.transform.XSLTOutInterceptor.XSLTCachedOutputStreamCallback

All Implemented Interfaces:
  `CachedOutputStreamCallback`

Enclosing class:
  XSLTOutInterceptor

public static class XSLTOutInterceptor.XSLTCachedOutputStreamCallback extends Object implements CachedOutputStreamCallback

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XSLTCachedOutputStreamCallback(Templates xsltTemplate, OutputStream origStream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onClose(CachedOutputStream wrapper)`
  `void`
  `onFlush(CachedOutputStream wrapper)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XSLTCachedOutputStreamCallback

    public XSLTCachedOutputStreamCallback(Templates xsltTemplate, OutputStream origStream)

- ## Method Details

  - ### onFlush

    public void onFlush(CachedOutputStream wrapper)
    Specified by:
      `onFlush` in interface `CachedOutputStreamCallback`

  - ### onClose

    public void onClose(CachedOutputStream wrapper)
    Specified by:
      `onClose` in interface `CachedOutputStreamCallback`